_PurpleCipherOps Struct Reference

The operations of a cipher. More...

`#include <cipher.h>`

## Data Fields

void(* | set_option )(PurpleCipherContext *context, const gchar *name, void *value)
| The set option function.
void *(* | get_option )(PurpleCipherContext *context, const gchar *name)
| The get option function.
void(* | init )(PurpleCipherContext *context, void *extra)
| The init function.
void(* | reset )(PurpleCipherContext *context, void *extra)
| The reset function.
void(* | uninit )(PurpleCipherContext *context)
| The uninit function.
void(* | set_iv )(PurpleCipherContext *context, guchar *iv, size_t len)
| The set initialization vector function.
void(* | append )(PurpleCipherContext *context, const guchar *data, size_t len)
| The append data function.
gboolean(* | digest )(PurpleCipherContext *context, size_t in_len, guchar digest[], size_t *out_len)
| The digest function.
int(* | encrypt )(PurpleCipherContext *context, const guchar data[], size_t len, guchar output[], size_t *outlen)
| The encrypt function.
int(* | decrypt )(PurpleCipherContext *context, const guchar data[], size_t len, guchar output[], size_t *outlen)
| The decrypt function.
void(* | set_salt )(PurpleCipherContext *context, guchar *salt)
| The set salt function.
size_t(* | get_salt_size )(PurpleCipherContext *context)
| The get salt size function.
void(* | set_key )(PurpleCipherContext *context, const guchar *key)
| The set key function.
size_t(* | get_key_size )(PurpleCipherContext *context)
| The get key size function.
void(* | set_batch_mode )(PurpleCipherContext *context, PurpleCipherBatchMode mode)
| The set batch mode function.
PurpleCipherBatchMode(* | get_batch_mode )(PurpleCipherContext *context)
| The get batch mode function.
size_t(* | get_block_size )(PurpleCipherContext *context)
| The get block size function.
void(* | set_key_with_len )(PurpleCipherContext *context, const guchar *key, size_t len)
| The set key with length function.

## Detailed Description

The operations of a cipher.

Every cipher must implement one of these.

Definition at line 77 of file cipher.h.

The documentation for this struct was generated from the following file:

- cipher.h